
Load_Scripts_src = "src."
Load_Config_Path = "res.config."

local cpuType = FtToolsManager:getManager():getCachePath();

--[[
cc.PLATFORM_OS_WINDOWS = 0
cc.PLATFORM_OS_LINUX   = 1
cc.PLATFORM_OS_MAC     = 2
cc.PLATFORM_OS_ANDROID = 3
cc.PLATFORM_OS_IPHONE  = 4
cc.PLATFORM_OS_IPAD    = 5
cc.PLATFORM_OS_BLACKBERRY = 6
cc.PLATFORM_OS_NACL    = 7
cc.PLATFORM_OS_EMSCRIPTEN = 8
cc.PLATFORM_OS_TIZEN   = 9
cc.PLATFORM_OS_WINRT   = 10
cc.PLATFORM_OS_WP8     = 11
]]--

local target = cc.Application:getInstance():getTargetPlatform()
if target == 3 or target == 4 or target == 5 then
	cpuType = FtToolsManager:getManager():getCPUType();
end

SRC_PATH_URL = "src"
if cpuType == "ARM64" then
	Load_Scripts_src = "src64."
	Load_Config_Path = "res.config64."
	SRC_PATH_URL     = "src64"
end

require( Load_Scripts_src .. "main")
