return {
    ACT = {
        DOUBLE_FUNC = 1000,
        JEWEL_BOX = 1001,
        GOD_TREASURY = 1002,
        SNOWMAN = 1003,
        LUCK_VOTE = 1004,
        GOD_GIFT = 1005,
        GUILD_SCORE = 1006,
        WEEK_FUND = 1007,
        PUSH_ACT = 1008,
        EVERYDAY_BIG_GIFT = 1009,
        SUPER_GIFT = 1010,
        FIRST_RECHARGE_RESET = 1011,
        MONTH_FUND = 1012,
        LUCK_DRAW = 1013,
        LIMITED_TIME_GIFT = 1014,
        PIGGY_BANK = 1015,
        WEEK_LOGIN = 1016,
        GODDESS_FEAST = 1017,
        CROSS = 2000,
        TIMED_GACHA = 2001,
        GODDESS_TREASURE = 2002,
        LEVEL_GIFT = 3001,
        UI_DOUBLE_FUNC_1 = 10001,
        UI_DOUBLE_FUNC_TASK_1 = 10002,
        UI_DOUBLE_FUNC_TASK_2 = 10003,
        UI_DOUBLE_FUNC_H5 = 10004,
        UI_DOUBLE_FUNC_TASK_5 = 10005,
        UI_DOUBLE_FUNC_TASK_6 = 10006,
        UI_FIRST_RECHARGE_RESET = 10007,
        UI_DOUBLE_FUNC_TASK_8 = 10008,
        UI_DOUBLE_FUNC_TASK_9 = 10009,
        UI_JEWEL_BOX_1 = 10011,
        UI_TIME_GACHA = 10021,
        UI_SNOWMAN = 10031,
        UI_TURNTABLE = 10071,
        UI_GOD_TREASURY = 10081,
        ID_LEVEL_GIFT = 1000001
    },
    NOTIFICATION = {
        PLAYER_CHANGED = 1,
        PLAYER_STATS_CHANGED = 2,
        HERO_CHANGED = 3,
        EQUIP_CHANGED = 4,
        SPELL_CHANGED = 5,
        ITEM_CHANGED = 6,
        STAGE_CHANGED = 7,
        CHAPTER_CHANGED = 8,
        ARENA_PLAYER_CHANGED = 9,
        RED_POINT_CHANGED = 11,
        TASK_CHANGED = 13,
        CARNIVAL_CHANGED = 14,
        GUILD_INVENTORY_CHANGE = 16,
        DAILY_STATS_CHANGE = 17,
        BOUNTY_CHANGE = 20,
        GVE_CHANGE = 21,
        EXTRA_RED_POINT_CHANGED = 22,
        CROSS_RED_POINT_CHANGED = 23,
        SUBSCRIBE = 24,
        ARTIFACT_CHANGE = 25,
        GUILD_INFO_CHANGE = 26,
        ACTIVITY_CHANGE = 27,
        SHARE_CHANGED = 28,
        GEM_CHANGED = 29,
        RELIC_CHANGED = 30,
        GROW_TASK_CHANGED = 31,
        CROSS_BUBBLE = 32,
        SUPER_WEAPONS_CHANGED = 33,
        TITLE_CHANGED = 34,
        RELIC_POKEDEX_CHANGE = 35,
        TOWER_CHANGED = 36,
        PET_CHANGED = 37,
        PET_POKEDEX_CHANGED = 38,
        CASTLE_PLAYER_CHANGE = 39,
        RED_PACKET_TASK_CHANGED = 40,
        ANGEL_CHANGED = 41,
        ANGEL_POKEDEX_CHANGED = 42,
        RUNE_ACTIVE = 43,
        DEEPNESS_UPDATE_FIGHT_TIMES = 44,
        CYCLOPEDIA_ITEM_CHANGED = 45,
        SIDESTORY_CHANGED = 46
    },
    NOTIFY_P = {
        PLAYER_LEVEL = 0,
        PLAYER_XP = 1,
        PLAYER_VIP = 2,
        PLAYER_VIP_XP = 3,
        PLAYER_ABILITY = 4,
        PLAYER_PET_MODEL = 5,
        PLAYER_NOBILITY = 6,
        PLAYER_TOP_LEVEL = 7
    },
    NOTIFY_PS = {
        LAST_ENERGY_RETIME = 0,
        LAST_SPELL_POINT_RETIME = 1,
        LAST_STAGE_ENTRY = 2,
        TITLE_LEVEL = 3,
        LAST_EXPLORE_FIGHT_RETIME = 4,
        LAST_SOUL_STORE_RETIME = 5,
        SOUL_STORE_FREE_CNT = 6,
        CHANGE_NICKNAME_CNT = 7,
        LAST_STAR_STORE_RETIME = 8,
        STAR_STORE_FREE_CNT = 9,
        LAST_POWER_RETIME = 10,
        LAST_VALOR_ACTION_RETIME = 11,
        ARENA_STORE_FREE_CNT = 12,
        LAST_STAGE_ELITE_ENTRY = 13,
        ARENA_RANK = 14,
        LAST_MATCH_GROUP_RANK = 15,
        LAST_MATCH_MASTER_RANK = 16,
        LAST_ZONE_MATCH_GROUP_RANK = 17,
        LAST_ZONE_MATCH_MASTER_RANK = 18,
        PLAYER_GUILD_ID = 19,
        PLAYER_GUILD_JOB = 20,
        PAY_COUNT = 21,
        ORACLE_STATE = 22,
        LAST_OUTLAND_PASS_RETIME = 23
    },
    NOTIFY_H = {
        HERO_GRADE = 0,
        HERO_STAR = 1,
        HERO_STAR_LEVEL = 2,
        HERO_XP = 3,
        HERO_LEVEL = 4,
        HERO_ABILITY = 5,
        HERO_FRIENDSHIP = 6,
        HERO_MAX_HP = 7,
        HERO_ATTACK = 8,
        HERO_DEFENCE = 9,
        HERO_AGILITY = 10,
        HERO_CRIT_PROB = 11,
        HERO_ANTI_CRIT_PROB = 12,
        HERO_BLOCK_PROB = 13,
        HERO_ANTI_BLOCK_PROB = 14,
        HERO_GIVE_DMG_MUL = 15,
        HERO_GET_DMG_MUL = 16,
        HERO_IGNORE_DEFENCE_MU = 17,
        NORMAL_ATTACK_SPELL = 18,
        SPELL0 = 19,
        SPELL1 = 20,
        SPELL2 = 21,
        AUREOLE = 22,
        ADVANCE_EXP = 23,
        ADVANCE_LEVEL = 24,
        STAR_ITEM0 = 25,
        STAR_ITEM1 = 26,
        STAR_ITEM2 = 27,
        STAR_ITEM3 = 28,
        HERO_QUALITY = 29,
        HERO_ANGER_RECOVER = 30,
        HERO_TEAM_ANGER_RECOVER = 31,
        HERO_PVP_GIVE_DMG_MUL = 32,
        HERO_PVP_GET_DMG_MUL = 33,
        SPELL3 = 34,
        HERO_TRIAL_LEVEL = 35,
        HERO_TRIAL_SUB_LEVEL = 36,
        HERO_DAMAGE_ADD_VALUE = 37,
        HERO_DAMAGE_REDUCE_VALUE = 38,
        HERO_SUPER_SPELL_DAMAGE_MUL = 39,
        HERO_SUPER_SPELL_DAMAGE_GET_MUL = 40,
        HERO_ANTI_CRIT_MUL = 41,
        HERO_ANTI_BLOCK_MUL = 42,
        HERO_PENDANT_SPELL_DAMAGE_MUL = 43,
        HERO_PENDANT_SPELL_DAMAGE_GET_MUL = 44,
        HERO_TALENT_RANK = 45,
        HERO_TALENT_SPELL1 = 46,
        HERO_TALENT_SPELL2 = 47,
        HERO_TALENT_SPELL3 = 48,
        HERO_TALENT_SPELL4 = 49,
        HERO_TALENT_SPELL5 = 50,
        HERO_TALENT_SPELL6 = 51,
        HERO_TALENT_SPELLLEVEL1 = 52,
        HERO_TALENT_SPELLLEVEL2 = 53,
        HERO_TALENT_SPELLLEVEL3 = 54,
        HERO_TALENT_SPELLLEVEL4 = 55,
        HERO_TALENT_SPELLLEVEL5 = 56,
        HERO_TALENT_SPELLLEVEL6 = 57
    },
    NOTIFY_E = {
        EQUIP_POSITION = 0,
        EQUIP_QUALITY = 1,
        EQUIP_XP = 2,
        EQUIP_LEVEL = 3,
        EQUIP_AWAKEN_LEVEL = 4,
        EQUIP_ADVANCE_LEVEL = 5
    },
    NOTIFY_S = {
        SPELL_POSITION = 0,
        SPELL_LEVEL = 1
    },
    NOTIFY_ST = {
        STAGE_STAR = 0,
        STAGE_RESETCNT = 1,
        STAGE_RESTCNT = 2
    },
    NOTIFY_CHP = {
        CHAPTER_STARS = 0
    },
    NOTIFY_AP = {
        ARENA_PLAYER_RANK = 0,
        ARENA_PLAYER_SNAPSHOT_RANK = 1,
        ARENA_PLAYER_WIN_TIMES = 2,
        ARENA_PLAYER_LOSE_TIMES = 3,
        ARENA_PLAYER_SNAPSHOT_AWARDS = 4,
        ARENA_PLAYER_REFRESH_TIMES = 5,
        ARENA_PLAYER_FIGHT_TIMES = 6,
        ARENA_PLAYER_REST_FIGHT_TIMES = 7,
        ARENA_PLAYER_BUY_FIGHT_TIMES = 8,
        ARENA_PLAYER_SCORE = 9,
        ARENA_PLAYER_SCORE_AWARDS = 10,
        ARENA_PLAYER_SHARE_TIMES = 11,
        ARENA_PLAYER_RANK_DOWN = 12
    },
    NOTIFY_RP = {
        RED_CHECKIN = 0,
        RED_MAIL = 1,
        RED_GACHA = 2,
        RED_TRIALS = 3,
        RED_GUILD_TECH_STUDY = 4,
        RED_ARENA_STORE = 5,
        RED_RELIC = 6,
        RED_GOLD = 7,
        RED_ENERGY = 8,
        RED_AWAKEN_BOX = 9,
        RED_STAGE = 10,
        RED_ELITE_STAGE = 11,
        RED_VIP_GIFT = 12,
        RED_VIP_WEEK_GIFT = 13,
        RED_HONOR_SIGNIN = 14,
        RED_STORE_FREE_ARENA = 15,
        RED_STORE_FREE_HERO = 16,
        RED_STORE_FREE_STAR = 17,
        RED_STORE_MAZE = 18,
        RED_STORE_AWAKEN = 19,
        RED_GODS_WEAPONS = 20,
        RED_RELIC_POKEDEX = 21,
        RED_SUPER_WEAPONS = 22,
        RED_GACHA_PET = 23,
        RED_STORE_GUILD_PRIZE = 24,
        RED_STORE_MAZE_PRIZE = 25,
        RED_STORE_MINE_PRIZE = 26,
        RED_STORE_ELITE_PRIZE = 27,
        RED_STORE_PET_PRIZE = 28,
        RED_STORE_RELIC_PRIZE = 29,
        RED_PET_STATUES = 30,
        RED_VIP_DAY_GIFT_AWARD = 31,
        RED_NEW_MONTH_CARD = 32,
        RED_NOBILITY_ADVANCE = 33,
        RED_STORE_CHALLENGE_PRIZE = 34,
        RED_OCEAN_ADVENTURE = 35,
        RED_STORE_GROUP_SCORE_PRIZE = 36,
        RED_STORE_GROUP_PRIZE = 37,
        RED_FRAME_ACTIVE = 38,
        RED_AVATAR_ACTIVE = 39
    },
    NOTIFY_ERP = {
        RED_FRIEND = 0,
        RED_GUILD_RED_PACKET_SYS = 1,
        RED_GUILD_RED_PACKET_PLAYER = 2,
        RED_EXPLORE = 3,
        RED_GUILD_EXCHANGE_HELP = 4,
        RED_GUILD_EXCHANGE_DONATE = 5,
        RED_GVE_FIGHT = 6,
        RED_GVE_BOX = 7,
        RED_GUILD_DONATE = 8,
        RED_GUILD_TECH = 9,
        RED_GUILD_APPLY = 10,
        RED_ACTIVITY_SHAKE_DIAMOND = 11,
        RED_DAILY_TRIAL = 12,
        RED_TALK_PERSON = 13,
        RED_VALOR_TASK = 14,
        RED_TERRITORY_TECH_UPGRADE = 15,
        RED_TERRITORY_WISH_BOX_AWARD = 16,
        RED_TERRITORY_STATUS = 17,
        RED_TERRITORY_ADVENTURE = 18,
        RED_TERRITORY_SELF_WISH = 19,
        RED_GLOBAL_FRIEND = 20,
        RED_GUILD_MESSAGE = 21,
        RED_IMPRESS_TRIAL = 22
    },
    NOTIFY_CRP = {
        RED_ARENA = 0,
        RED_MATCH = 1,
        RED_BOUNTY_FIGHT = 2,
        RED_BOUNTY_BOX = 3,
        RED_TEAM = 4,
        RED_DEFENCE = 5,
        RED_ZONE_MATCH = 6,
        RED_MAZE = 7,
        RED_MINE_AREA = 8,
        RED_TOWER = 9,
        RED_ZONE_CASTLE_CRAFT = 10,
        RED_GLOBAL_MINE_AREA = 11,
        RED_ORACLE_BET_AWARD = 12,
        RED_ORACLE_RANK_AWARD = 13,
        RED_OUTLAND = 14
    },
    NOTIFY_TK = {
        TASK_ENTRY = 0,
        TASK_PROGRESS = 1,
        TASK_STATUS = 2
    },
    NOTIFY_CNV = {
        CARNIVAL_ENTRY = 0,
        CARNIVAL_PROGRESS = 1,
        CARNIVAL_STATUS = 2
    },
    NOTIFY_GI = {
        GUILD_ID = 0,
        GUILD_INVENTORY_ENTRY = 1,
        GUILD_INVENTORY_AMOUNT = 2
    },
    NOTIFY_DS = {
        TASK_SCORE = 0,
        TASK_SCORE_STATUS = 1,
        BUY_ENERGY_TIMES = 2,
        BUY_GOLD_TIMES = 3,
        BUY_GOLD_BOX_STATUS = 4,
        BUY_POWER_TIMES = 5,
        GUILD_QUIT = 6,
        BUY_OUTLAND_PASS_TIMES = 7
    },
    NOTIFY_BS = {
        BOUNTY_POINTS = 0,
        BOUNTY_REST_NUM = 1,
        BOUNTY_REFRESH_CNT = 2,
        BOUNTY_RANK = 3,
        BOUNTY_GUILD_POINTS = 4,
        BOUNTY_GUILD_RANK = 5,
        BOUNTY_SCORE_STATUS = 6
    },
    NOTIFY_G = {
        GVE_STAGE = 0,
        GVE_PROGRESS = 1,
        GVE_HP = 2,
        GVE_FIGHT_TIMES = 3,
        GVE_FIGHT_MAX_TIMES = 4
    },
    SUB = {
        MSG_ALL = 0,
        MSG_GUILD_INFO = 1,
        MSG_GVE_INFO = 2,
        MSG_TIMED_HERO_LADDER = 3,
        MSG_END = 4
    },
    NOTIFY_AF = {
        ARTIFACT_OP = 0,
        ARTIFACT_ENTRY = 1,
        ARTIFACT_LINEUP_GRID = 2,
        ARTIFACT_POSITION = 3,
        ARTIFACT_EXP = 4,
        ARTIFACT_LEVEL = 5,
        ARTIFACT_REFINE_PART = 6,
        ARTIFACT_REFINE_LEVEL = 7,
        ARTIFACT_ADVANCED_PART = 8,
        ARTIFACT_ADVANCED_LEVEL = 9
    },
    NOTIFY_GF = {
        GUILD_EXP = 0,
        GUILD_LEVEL = 1,
        GUILD_BADGE = 2,
        GUILD_MEMBER = 3,
        GUILD_MAX_MEMBER = 4,
        GUILD_DONATE_TIMES = 5,
        GUILD_DONATE_PROGRESS = 6
    },
    NOTIFY_AN = {
        ACTIVITY_FESTIVAL = 0,
        ACTIVITY_COMMON = 1,
        ACTIVITY_SHAKE_DIAMOND = 45,
        ACTIVITY_LUCKY_TURNTABLE = 46
    },
    NOTIFY_SH = {
        SHARE_ENTRY = 0,
        SHARE_PROGRESS = 1,
        SHARE_STATUS = 2
    },
    NOTIFY_RG = {
        GEM_OP = 0,
        GEM_ENTRY = 1,
        GEM_RELIC = 2,
        GEM_SLOT = 3,
        GEM_EXP = 4,
        GEM_LEVEL = 5
    },
    NOTIFY_RW = {
        RELIC_OP = 0,
        RELIC_ENTRY = 1,
        RELIC_LINEUP_GRID = 2,
        RELIC_SLOT0 = 3,
        RELIC_SLOT1 = 4,
        RELIC_SLOT2 = 5,
        RELIC_SLOT3 = 6,
        RELIC_SLOT4 = 7,
        RELIC_SLOT5 = 8,
        RELIC_REFINE_LEVEL = 9,
        RELIC_REFINE_PART = 10,
        RELIC_STAR = 11,
        RELIC_STAR_LEVEL = 12,
        RELIC_PROTECT_ID = 13,
        RELIC_ADVANCED_PROTECT_ID = 14
    },
    NOTIFY_GT = {
        GROW_TASK_PROGRESS = 0,
        GROW_TASK_STATUS = 1
    },
    NOTIFY_CB = {
        MAZE_CHALLENGE = 0,
        MAZE_RETRY = 1,
        ARENA_CHALLENGE = 2,
        ARENA_AWARD = 3,
        MATCH_STATE = 4,
        ZONE_MATCH_STATE = 5,
        RELIC_ROB_AWARD = 6,
        EXPLORE_AWARD = 7,
        TOWER_RESET = 8,
        MINE_OCCUPY = 9,
        DAILY_TRIAL = 10,
        BOUNTY_FIGHT = 11,
        BOUNTY_AWARD = 12,
        MATCH_JOIN = 13,
        CASTLE_OPEN = 14,
        CASTLE_TRIAL_CHALLENGE = 15,
        CASTLE_TRIAL_AWARD = 16,
        CASTLE_SCORE_AWARD = 17,
        DAILY_TRIAL_1 = 18,
        DAILY_TRIAL_2 = 19,
        DAILY_TRIAL_3 = 20,
        GVE_FIGHT = 21,
        CASTLE_OPEN_TIME = 22,
        TEAM_OPEN = 23,
        TEAM_SCORE_AWARD = 24,
        TEAM_AWARD_TIMES = 25,
        TEAM_BATTLE_INVITATION = 26,
        TEAM_BATTLE_APPLY = 27,
        GROUP_INVITATION = 28,
        GROUP_APPLY = 29,
        GROUP_OPEN = 30,
        GROUP_AWARD_TIMES = 31,
        IMPRESS_TRIAL = 32,
        MINE_OCCUPY_BOX = 33,
        OUTLAND_SCORE_AWARD = 34,
        OUTLAND_AWARD = 35,
        DEEPNESS_OPEN = 36,
        DEEPNESS_CHALLENGE = 37,
        DEEPNESS_AWARD = 38
    },
    NOTIFY_SW = {
        SUPER_WEAPON_ENTRY = 0,
        SUPER_WEAPON_PROGRESS = 1,
        SUPER_WEAPON_STAR = 2,
        SUPER_WEAPON_STATUS = 3
    },
    NOTIFY_PT = {
        PLAYER_TITLE_PROGRESS = 0,
        PLAYER_TITLE_STATUS = 1,
        PLAYER_TITLE_EXPIRE_TIME = 2,
        PLAYER_TITLE_HISTORY_STATUS = 3
    },
    NOTIFY_RPX = {
        POKEDEX_GROUP = 0,
        POKEDEX_CAN_UPGRADE = 1,
        POKEDEX_RELIC_ENTRY = 2,
        POKEDEX_RELIC_STAR = 3
    },
    NOTIFY_TW = {
        TOWER_ENTRY = 0,
        TOWER_IS_TREASURE_GET = 1
    },
    NOTIFY_PE = {
        PET_ENTRY = 0,
        PET_LINEUP_GRID = 1,
        PET_STAR = 2,
        PET_LEVEL = 3,
        PET_ABILITY = 4,
        REST_EXP = 5,
        PET_REFINE_LEVEL = 6
    },
    NOTIFY_PEP = {
        PET_POKEDEX_ENTRY = 0,
        PET_POKEDEX_LEVEL = 1
    },
    NOTIFY_RUNE = {
        RUNE_ENTRY = 0,
        RUNE_LINEUP_GRID = 1,
        RUNE_LEVEL = 2,
        RUNE_STAR = 3,
        RUNE_SLOT_INDEX = 4,
        RUNE_SLOT_CLASS = 5,
        RUNE_SLOT_VALUE = 6
    },
    NOTIFY_RPT = {
        RED_PACKET_TASK_ENTRY = 0,
        RED_PACKET_TASK_PROGRESS = 1
    },
    NOTIFY_AG = {
        ANGEL_ENTRY = 0,
        ANGEL_LINEUP_GRID = 1,
        ANGEL_STAR = 2,
        ANGEL_LEVEL = 3,
        ANGEL_REST_EXP = 4
    },
    NOTIFY_AGP = {
        ANGEL_POKEDEX_ENTRY = 0,
        ANGEL_POKEDEX_LEVEL = 1
    },
    NOTIFY_DEEPNESS = {
        BONUS_FIGHT_TIMES = 0,
        BUY_FIGHT_TIMES = 1,
        USED_FIGHT_TIMES = 2
    },
    NOTIFY_CYCLOPEDIA_ITEM = {
        ENTRY = 0,
        STATUS = 1
    },
    NOTIFY_SST = {
        SSTASK_ENTRY = 0,
        SSTASK_PROGRESS = 1,
        SSTASK_STATUS = 2
    },
    E = {
        OK = 0,
        INTERNALFAILURE = 10000,
        STATUS_NOT_IN_SERVICE = 10001,
        SYSTEM_BUSY = 10002,
        INVALIDREQUEST = 10003,
        INVALIDPROTOTYPE = 10004,
        REQUEST_TIMEOUT = 10005,
        DOING = 10006,
        COOLING = 10007,
        FUNC_PLAY_LIMIT = 10008,
        BUY_TIMES_IS_MAX = 10009,
        PLAYER_VIP_NOT_ENOUGH = 10010,
        PLAYER_LEVEL_NOT_ENOUGH = 10011,
        PLAYER_LINEUP_NOT_SET = 10012,
        PLAYER_NO_RECHARGE = 10013,
        GUILD_LEVLE_NOT_ENOUGH = 10014,
        PLAYER_LINEUP_INVAILD = 10015,
        FIGHT_REPORTER_OVERDUE = 10016,
        SERVICE_OFFLINE = 10017,
        PLAYER_GAG = 10018,
        PLAYER_HAS_ACTIVATION = 10019,
        ACTIVATION_INVALID = 10020,
        ACCOUNT_NOT_ACTIVE = 10021,
        DISTRICT_CLOSE_REGISTER = 10022,
        MATCH_ENEMY_FAIL = 10023,
        DEV_PAYCOUNT_LIMIT = 10024,
        PLAYER_OFFLINE = 10025,
        DIFF_DATA = 10026,
        ITEM_AMOUNT_IS_ZERO = 10027,
        FIGHTING = 10029,
        FIGHT_ERROR = 10030,
        PROTOCOL_DIABLED = 10031,
        THIRD_API_CLOSED = 10032,
        CONTENT_SENSITIVE = 10033,
        ONLINE_PLAYER_MAX = 10034,
        FIGHT_TIMES_NOT_ENOUGH = 10035,
        REFRESH_TIMES_NOT_ENOUGH = 10036,
        FUNCTION_NOT_OPEN_PLEASE_WAIT = 10037,
        DISTRICT_NOT_EXISTS = 10038,
        LOGIN_OPEN_SERVER_LIMIT = 10039,
        LOGIN_PASSWORD_ERROR = 10040,
        REQUIRE_RE_ENTER = 10041,
        REQUIRE_RE_LOGIN = 10042,
        FIGHT_ERR_AND_MAIL = 10043,
        SYSTEM_CIRCUIT_OPEN = 10044,
        FIGHT_TIMES_ENOUGH = 10045,
        SERVERMAINTENANCE = 10100,
        LOGIN_REJECTED = 10101,
        LOGIN_FAIL = 10102,
        CHARCREATENOTALLOWED = 10103,
        NOCHARACTERFOUND = 10104,
        CHARNAMEEXISTS = 10105,
        GAMEPLAY_FAIL = 10106,
        INVALIDNICKNAME = 10107,
        NICKNAME_TOO_LONG = 10108,
        NICKNAME_ALREADY_USE = 10109,
        PLAYER_HAS_THIS_AVATAR = 10110,
        PLAYER_HAS_GET_RECHARGE_FIRST_GIFT = 10111,
        PLAYER_HAS_BUY_VIP_GIFT = 10112,
        PLAYER_NO_SUCH_LINEUP = 10113,
        PLAYER_LINEUP_EMPTY = 10114,
        PLAYER_LINEUP_HERO_REPEAT = 10115,
        PLAYER_LINEUP_NOT_ENOUGH = 10116,
        PLAYER_MODEL_NOT_EXIST = 10117,
        PLAYER_MODEL_EXPIRES = 10118,
        SUPERS_INVALID = 10119,
        TEAM_SPELL_INVALID = 10120,
        MONTHLY_VIP_AWARD_ALREADY_GOT = 10121,
        PLAYER_HAS_THIS_FRAME = 10122,
        PLAYER_HAS_THIS_MODEL = 10123,
        PLAYER_HAS_GET_DOWNLOAD_GIFT = 10124,
        NICKNAME_NOT_ENOUGH = 10125,
        PLAYER_ALREADY_PTRANSFER = 10126,
        NOSUCHPLAYER = 10127,
        PLAYER_HERO_NOT_IN_LINEUP = 10128,
        PLAYER_LINEUP_POSITION_ERR = 10129,
        PLAYER_LINEUP_THE_HERO_ALREADY_BUDDY = 10130,
        PLAYER_LINEUP_POS_NOT_OPEN = 10131,
        PLAYER_VIP_DAY_GIFT_AWARD_DONE = 10132,
        BATCH_REQUSET_OUT_RANGE = 10133,
        PLAYER_HERO_IN_LINEUP = 10134,
        PLAYER_HERO_IS_SUB_HERO = 10135,
        PLAYER_HERO_IS_NULL = 10136,
        PLAYER_ACCOUNT_NOT_MATCH = 10137,
        GOLD_NOT_ENOUGH = 10200,
        DIAMOND_NOT_ENOUGH = 10201,
        ENERGY_NOT_ENOUGH = 10202,
        ITEM_NOT_ENOUGH = 10203,
        POWER_NOT_ENOUGH = 10204,
        STAR_STONE_NOT_ENOUGH = 10205,
        ARENA_MONEY_NOT_ENOUGH = 10206,
        MAZE_MONEY_NOT_ENOUGH = 10207,
        DAILY_CHANCE_NOT_ENOUGH = 10208,
        RESOURCE_NOT_ENOUGH = 10209,
        INVENTORY_AMOUNT_LIMIT = 10300,
        INVENTORY_CANNOT_USE = 10301,
        INVENTORY_CANNOT_SELL = 10302,
        INVENTORY_CANNOT_BUY = 10303,
        INVENTORY_CANNOT_USE_IN_NOW = 10304,
        INVENTORY_OVERFLOW = 10305,
        INVENTORY_SOUL_HERO_NOT_EXISTS = 10306,
        INVENTORY_CANNOT_COMPOSE = 10307,
        INVENTORY_CANNOT_DECOMPOSE = 10308,
        INVENTORY_USER_AMOUNT_IS_LIMIT = 10309,
        HERO_GRADE_IS_MAX = 10400,
        HERO_LEVEL_NOT_ENOUGH = 10401,
        HERO_STAR_IS_MAX = 10402,
        HERO_NOT_EXIST = 10403,
        HERO_LEVEL_IS_MAX = 10404,
        HERO_FRIENDSHIP_NO_REACH = 10406,
        HERO_FRIENDSHIP_HAS_ACTIVE = 10407,
        HERO_STAR_ITEM_HAS_ACTIVE = 10408,
        HERO_STAR_ITEM_NOT_ACTIVE_OK = 10409,
        HERO_PEOTENTIAL_NOT_SAME = 10410,
        HERO_INIT_PEOTENTIAL_NOT_SAME = 10411,
        HERO_CAN_NOT_TRANSFORM = 10412,
        HERO_PROTENTIAL_LIMIT_TRANSFORM = 10413,
        HERO_TRANSFORM_TIMES_OUT = 10414,
        HERO_CAN_NOT_REBORN = 10415,
        HERO_ADVANCE_LEVEL_IS_FULL = 10416,
        HERO_ADVANCE_NEED_TRY_AGAIN = 10417,
        HERO_ITEM_CANNOT_EXCHANGE = 10418,
        HERO_TRIAL_IS_MAX = 10419,
        HERO_ADVANCE_LEVEL_NOT_ENOUGH = 10420,
        HERO_GRADE_LEVEL_NOT_ENOUGH = 10421,
        HERO_EQUIP_LEVEL_NOT_ENOUGH = 10422,
        HERO_EQUIP_UPQUALITY_NUM_NOT_ENOUGH = 10423,
        HERO_WEAPON_LEVEL_NOT_ENOUCH = 10424,
        HERO_TRIAL_NOT_OPEN = 10425,
        HERO_TALENT_CAN_NOT_REBORN = 10426,
        HERO_QUALITY_NOT_ENOUGH = 10427,
        HERO_TALENT_FIRST_UNCHOOSE_ERROR = 10428,
        HERO_TALENT_INFO_NOT_EXIST = 10429,
        HERO_TALENT_CHOOSE_ERROR = 10430,
        HERO_TALENT_NOT_LEVELUP = 10431,
        EQUIP_LEVLE_NOT_ENOUGH = 10500,
        EQUIP_QUALITY_IS_MAX = 10501,
        EQUIP_STAR_IS_MAX = 10502,
        EQUIP_LEVEL_IS_MAX = 10503,
        EQUIP_LEVEL_IS_LEVEL_MAX = 10504,
        EQUIP_REFINE_LEVEL_MAX = 10505,
        EQUIP_GRADE_IS_MAX = 10506,
        EQUIP_AWAKEN_IS_MAX = 10507,
        EQUIP_QUALITY_NOT_ENOUCH = 10508,
        EQUIP_ADVANCE_IS_MAX = 10509,
        EQUIP_AWAKEN_NOT_ENOUCH = 10510,
        EQUIP_REFINE_NOT_ENOUCH = 10511,
        CHAPTER_NOT_EXIST = 10700,
        CHAPTER_STAR_NOT_ENOUGH = 10701,
        CHAPTER_AWARD_NOT_EXIST = 10702,
        CHAPTER_AWARD_ALREADY_GOT = 10703,
        STAGE_LOCK = 10704,
        STAGE_RELATION_UNPASS = 10705,
        STAGE_NOT_EXIST = 10706,
        STAGE_PRE_UNPASS = 10707,
        STAGE_NOT_PASS = 10708,
        STAGE_STAR_NOT_ENOUGH = 10709,
        STAGE_BOX_ALREADY_GOT = 10710,
        STAGE_CNT_NOT_ENOUGH = 10711,
        STAGE_RECORD_NOT_EXIST = 10712,
        STAGE_CNT_NOT_ZERO = 10713,
        STAGE_CHAPTER_NOT_PASS = 10714,
        STORE_NOT_EXIST = 10800,
        STORE_GOODS_NOT_EXIST = 10801,
        STORE_GOODS_SOLD = 10802,
        STORE_CANNOT_REFRESH_MANNUAL = 10803,
        STORE_GOODS_NOT_OBEY_RULE = 10804,
        STORE_REFRESH_TIMES_OUT = 10805,
        STORE_NOT_OPEN = 10806,
        ARENA_CANNOT_FIGHT = 10900,
        ARENA_NOT_IN_COOL_TIME = 10901,
        ARENA_FIGHT_TIMES_IS_FULL = 10902,
        ARENA_SCORE_AWARDS_HAS_GET = 10903,
        ARENA_SCORE_NOT_ENOUGH = 10904,
        ARENA_RANK_NOT_ENOUGH = 10905,
        ARENA_RANK_AWARDS_HAS_GET = 10906,
        ARENA_FIGHT_PLAYER_RANK_CHANGE = 10907,
        ARENA_FIGHT_TIMES_NOT_ENOUGH = 10908,
        ARENA_HAS_WORSHIPED = 10909,
        ARENA_PLAYER_CANNOT_BE_WORSHIPED = 10910,
        ARENA_REST_BUY_TIMES_NOT_ENOUGH = 10911,
        ARENA_SHARE_TIMES_IS_MAX = 10912,
        ARENA_FIGHT_PLAYER_RANK_TOO_HIGH = 10913,
        ARENA_WOSHIP_TIMES_NOT_ENOUGH = 10914,
        MAIL_NOT_EXISTS = 11000,
        MAIL_HAD_OPENED = 11001,
        MAIL_DONT_HAVE = 11002,
        MAIL_HAD_OVERDUE = 11003,
        BOUNTY_CHALLENGE_NUM_NOT_ENOUGH = 11300,
        BOUNTY_POINTS_REWARD_ALREADY_GOT = 11301,
        BOUNTY_SPEC_REWARD_ALREADY_GOT = 11302,
        BOUNTY_REWARD_CAN_NOT_GET = 11303,
        BOUNTY_REWARD_NOT_EXIST = 11304,
        BOUNTY_FIGHT_INVALID = 11305,
        MATCH_LINEUP_INVALID = 11500,
        MATCH_STATE_CANNOT_JOIN = 11501,
        MATCH_IS_CANCELED = 11502,
        MATCH_NO_GROUP_TABLE = 11503,
        MATCH_NO_MASTER_TABLE = 11504,
        MATCH_NO_FINAL_INFO = 11505,
        MATCH_NO_GROUP_LADDER = 11506,
        MATCH_NO_JOIN = 11507,
        MATCH_NO_MASTER = 11508,
        MATCH_HAS_GET_THIS_PACKET = 11509,
        MATCH_PACKET_IS_EMPTY = 11510,
        MATCH_MORALE_IS_FULL = 11511,
        MATCH_MORALE_BUY_LIMIT = 11512,
        MATCH_NO_FIGHT_STATS = 11513,
        MATCH_ZONE_JOINED = 11514,
        MATCH_QUIZ_NOT_FIT = 11515,
        MATCH_HAS_QUIZ = 11516,
        TASK_IS_LOCK = 11600,
        TASK_NOT_DONE = 11601,
        TASK_AWARD_ALREADY_GOT = 11602,
        TASK_NOT_EXIST_AWARD = 11603,
        TASK_SCORE_AWARD_NOT_EXISTS = 11604,
        TASK_SCORE_NOT_ENOUGH = 11605,
        TASK_SCORE_AWARD_HAD_GET = 11606,
        GROW_TASK_NOT_DONE = 11607,
        GROW_TASK_HAD_AWARD = 11608,
        CHECKIN_ALREADY_SIGN = 11700,
        CHECKIN_TOTAL_AWARD_GOT = 11701,
        CHECKIN_REMEDY_TIMES_NOT_ENOUGH = 11702,
        CHECKIN_SIGN_TIMES_NOT_ENOUGH = 11703,
        CHECKIN_ALREADY_GET = 11704,
        FRIEND_HAS_APPLY = 11800,
        FRIEND_HAS_FRIEND = 11801,
        FRIEND_NO_APPLIED = 11802,
        FRIEND_NO_APPLY = 11803,
        FRIEND_NO_EXIST = 11804,
        FRIEND_COUNT_LIMIT = 11805,
        FRIEND_HE_COUNT_LIMIT = 11806,
        FRIEND_GET_ENERGY_LIMIT = 11807,
        FRIEND_NO_ENERGY = 11808,
        FRIEND_NO_FRIEND = 11809,
        FRIEND_CANNOT_FIND_MYSELF = 11810,
        FRIEND_HE_IN_BLACK = 11811,
        FRIEND_HAS_SEND_ENERGY = 11812,
        FRIEND_NOT_FRIEND = 11813,
        FRIEND_IN_HE_BLACK = 11814,
        FRIEND_HAS_BE_APPLY = 11815,
        TRIAN_NOT_TRAIN = 12100,
        GUILD_HAS_JOIN = 12300,
        GUILD_NOT_JOIN = 12301,
        GUILD_NAME_INVAILD = 12302,
        GUILD_NAME_EXISTS = 12303,
        GUILD_CANNOT_CREATE = 12304,
        GUILD_NOT_EXISTS = 12305,
        GUILD_HAS_APPLY = 12306,
        GUILD_HAS_FULL = 12307,
        GUILD_NO_POWER = 12308,
        GUILD_APPLY_NOT_EXISTS = 12309,
        GUILD_APPLY_HAS_JOIN = 12310,
        GUILD_JOB_IS_FULL = 12311,
        GUILD_ELDER_IS_FULL = 12312,
        GUILD_CANNOT_DISBAND = 12313,
        GUILD_DONATE_TIMES_EXHAUST = 12314,
        GUILD_PROGRESS_AWARD_ALREADY_GOT = 12315,
        GUILD_PROGRESS_NOT_ENOUGH = 12316,
        GUILD_CONTRIBUTE_NOT_ENOUGH = 12317,
        GUILD_DAILY_AWARD_ALREADY_GOT = 12318,
        GUILD_LEVEL_NOT_ENOUGH = 12319,
        GUILD_TECH_LIMIT_MAX = 12320,
        GUILD_TECH_LIMIT = 12321,
        GUILD_NOT_IN_PARTY_TIME = 12322,
        GUILD_TOAST_TIMES_NOT_ENOUGH = 12323,
        GUILD_BE_TOAST_TIMES_NOT_ENOUGH = 12324,
        GUILD_TOAST_ALL_TIMES_NOT_ENOUGH = 12325,
        GUILD_BADGE_ALREADY_GOT = 12326,
        GUILD_ALREADY_IN_PATROL = 12327,
        GUILD_HERO_IN_PATROL = 12328,
        GUILD_DO_NOT_NEED_RESCUE = 12329,
        GUILD_PATROL_AWARD_NOT_ARRIVE = 12330,
        GUILD_RESCUE_TIMES_NOT_ENOUGH = 12331,
        GUILD_MONEY_NOT_ENOUGH = 12332,
        GUILD_IN_CHANGE_PUNISHMENT = 12333,
        GUILD_IN_APPLY_LIMIT = 12334,
        GUILD_PRESIDENT_CAN_NOT_QUIT = 12335,
        GUILD_NOTICE_TOO_LONG = 12336,
        GUILD_CONTACT_TOO_LONG = 12337,
        GUILD_IN_TRANSFER_CD = 12338,
        GUILD_APPOINT_TIMS_OUT = 12339,
        GUILD_TRANSFER_TIMES_OUT = 12340,
        GUILD_TREASURE_NOT_EXIST = 12341,
        GUILD_TREASURE_NOT_ADD = 12342,
        GUILD_TREASURE_NOT_HELP = 12343,
        GUILD_TREASURE_ENERGY_NOT_ENOUGH = 12344,
        GUILD_TREASURE_AWARD_GOT = 12345,
        GUILD_PATROL_SAME_TIME = 12346,
        GUILD_BADGE_PRE_LOCK = 12347,
        GUILD_EXCHANGE_CD = 12348,
        GUILD_EXCHANGE_HERO_NOT_CALLED = 12349,
        GUILD_EXCHANGE_NOT_EXIST = 12350,
        GUILD_EXCHANGE_CNT_NOT_ENOUGH = 12351,
        GUILD_EXCHANGE_SUPPORT_NOT_ENOUGH = 12352,
        GUILD_RED_PACKETS_SPEND = 12353,
        GUILD_RED_PACKETS_NOT_EXIST = 12354,
        GUILD_RED_PACKETS_RECEIVER_NOT_ENOUGH = 12355,
        GUILD_RED_PACKETS_ROBING = 12356,
        GUILD_RED_PACKETS_GRANTING = 12357,
        GUILD_RED_PACKETS_ROBED = 12358,
        GUILD_RED_PACKETS_UNLOCK = 12359,
        GUILD_DONATE_TIMES_OUT = 12360,
        GUILD_LOCK = 12361,
        GUILD_PLAYER_APPLY_LIMIT = 12362,
        GUILD_APPLY_LIMIT = 12363,
        GUILD_GOT_KICKED = 12364,
        GUILD_NAME_TOO_lONG = 12365,
        GUILD_NAME_IS_EMPTY = 12366,
        GUILD_NAME_IS_SENSITIVE = 12367,
        GUILD_NAME_IS_SPECIAL = 12368,
        GUILD_KICK_TIMES_LIMIT = 12369,
        GUILD_MESSAGE_TOO_LONG = 12370,
        GUILD_MESSAGE_NOT_EXIST = 12371,
        GUILD_REPLY_NOT_EXIST = 12372,
        GUILD_TOP_MESSAGE_IS_LIMIT = 12373,
        GVE_IS_FIGHTING = 12400,
        GVE_FIGHT_TIMES_NOT_ENOUGH = 12401,
        GVE_CANNOT_GET_STAGE_BOX = 12402,
        GVE_STAGE_BOX_HAS_GET = 12403,
        GVE_CANNOT_GET_PROGRESS_BOX = 12404,
        GVE_PROGRESS_BOX_HAS_GET = 12405,
        GVE_PROGRESS_BOX_HAS_BE_GET = 12406,
        GVE_FIGHT_TIME_LIMIT = 12407,
        GVE_FIGHT_PLAYER_LIMIT = 12408,
        GVE_BOSS_BE_KILLED = 12409,
        GVE_PROGRESS_BOX_IS_OVER = 12410,
        GVE_PROGRESS_BOX_IS_LIMIT = 12411,
        GVE_FIGHT_TIMEOUT = 12412,
        GVE_RAID_RECORD_NOT_EXIST = 12413,
        GVE_RAID_GVE_INFO_NOT_EXIST = 12414,
        GVE_PROGRESS_BOX_AWARD_LIMIT = 12415,
        CARNIVAL_AWARD_ALREADY_GOT = 12500,
        CARNIVAL_NOT_DONE = 12501,
        CARNIVAL_PROGRESS_NOT_ENOUGH = 12502,
        CARNIVAL_ITME_ALREADY_BUY = 12503,
        CARNIVAL_ITEM_SELL_OUT = 12504,
        GVG_HAS_JOIN = 12700,
        GVG_CANNOT_JOIN = 12701,
        GVG_CONDITION_NOT_ENOUGH = 12702,
        GVG_FIGHT_TIMES_NOT_ENOUGH = 12703,
        GVG_CANNOT_FIGHT = 12704,
        GVG_NOT_JOIN = 12705,
        GVG_NOT_MASTER = 12706,
        GVG_MASTER_REPORT_NOT_EXISTS = 12707,
        TITLE_GIFT_HAS_GET = 12800,
        TITLE_GIFT_CANNOT_GET = 12801,
        TEAM_ALREADY_IN_ROOM = 12900,
        TEAM_NOT_ROOM_OWNER = 12901,
        TEAM_ROOM_IS_FIGHTING = 12902,
        TEAM_NOT_IN_ROOM_RULE = 12903,
        TEAM_CAN_NOT_KICK_SELF = 12904,
        TEAM_CHALLENGE_TIMES_NOT_ENOUGH = 12905,
        TEAM_ROOM_MEMBER_NOT_ENOUGH = 12906,
        TEAM_ROOM_NOT_ENOUGH_READY = 12907,
        TEAM_ROOM_CANNOT_FIGHT = 12908,
        TEAM_ROOM_IS_FULL = 12909,
        TEAM_GUILD_JOIN_LIMIT = 12910,
        TEAM_CANNOT_QUICK_ENTER_ROOM = 12911,
        TEAM_ROOM_NOT_EXIST = 12912,
        TEAM_LOCK = 12913,
        TEAM_BUY_CNT_MAX = 12914,
        TEAM_ROOM_MAX = 12915,
        CENTRAL_INITIALIZE_STOP_RPC_TIMEOUT = 13000,
        CENTRAL_INITIALIZE_STOP_UNEXPECT_RPC = 13001,
        CENTRAL_INITIALIZE_START_RPC_TIMEOUT = 13002,
        CENTRAL_INITIALIZE_START_UNEXPECT_RPC = 13003,
        CENTRAL_INITIALIZE_SETUP_ERROR = 13004,
        CENTRAL_AUTH_CODE_ERROR = 13005,
        CENTRAL_TIME_ERROR = 13006,
        CENTRAL_DISTRICT_NOT_EXISTS = 13007,
        CENTRAL_DISTRICT_HAS_OPEN = 13008,
        CENTRAL_DISTRICT_HAS_EXISTS = 13009,
        CENTRAL_CONNECT_GAME_DB_ERROR = 13010,
        CENTRAL_CREATE_GAME_DB_ERROR = 13011,
        CENTRAL_GAME_DB_TPL_NOT_EXISTS = 13012,
        CENTRAL_QUERY_GAME_DB_TPL_TABLE_ERROR = 13013,
        CENTRAL_CONNECT_LOG_DB_ERROR = 13014,
        CENTRAL_CREATE_LOG_DB_ERROR = 13015,
        CENTRAL_LOG_DB_TPL_NOT_EXISTS = 13016,
        CENTRAL_QUERY_LOG_DB_TPL_TABLE_ERROR = 13017,
        CENTRAL_ALLOCATE_DISTRICT_ERROR = 13018,
        CENTRAL_STOP_DISTRICT_ERROR = 13019,
        CENTRAL_CONNECT_ZONE_DB_ERROR = 13020,
        CENTRAL_CREATE_ZONE_DB_ERROR = 13021,
        CENTRAL_ZONE_DB_TPL_NOT_EXISTS = 13022,
        CENTRAL_QUERY_ZONE_DB_TPL_TABLE_ERROR = 13023,
        CENTRAL_ZONE_NOT_EXISTS = 13024,
        CENTRAL_START_DISTRICT_ERROR = 13025,
        EXPLORE_BOSS_NOT_EXIST = 13100,
        EXPLORE_BOSS_SAME_TIME_MAX = 13101,
        EXPLORE_BOSS_SEARCH = 13102,
        EXPLORE_BOSS_FIGHT = 13103,
        EXPLORE_BOSS_BUYING = 13104,
        EXPLORE_BOSS_POINT_AWARD_DOWN = 13105,
        EXPLORE_BOSS_POINT_NO_AWARD = 13106,
        EXPLOER_BOSS_POINTS_NOT_ENOUGH = 13107,
        EXPLORE_BOSS_BOSS_RUN_AWAY = 13108,
        EXPLORE_BOSS_GETTING_AWARD = 13109,
        EXPLORE_BOSS_BUY_FIGHT_LIMIT = 13110,
        EXPLORE_BOSS_NOT_KILLED = 13111,
        EXPLORE_BOSS_NO_FRIENDS = 13112,
        EXPLORE_BOSS_SHARED = 13113,
        EXPLORE_BOSS_NOT_FIGHTED = 13114,
        VALOR_MAP_BLOCK_NOT_EXIST = 13115,
        VALOR_MAP_CLOCK_NOT_EXIST = 13116,
        VALOR_MAP_GEN_DATA_RUN_OUT = 13117,
        VALOR_TASK_ALL_AWARD = 13118,
        VALOR_TASK_NOT_ASK = 13119,
        VALOR_DICE_HANDLEING = 13120,
        VALOR_DICE_POINTS_ERR = 13121,
        ACTIVITY_NOT_OPEN = 13201,
        ACTIVITY_POINTS_NOT_ENOUGH = 13202,
        ACTIVITY_TIMES_NOT_ENOUGH = 13203,
        ACTIVITY_LUCKY_COIN_NOT_ENOUGH = 13204,
        ACTIVITY_SHAKE_DIAMOND_ING = 13205,
        ACTIVITY_LUCKY_TURNTABLE_ING = 13206,
        ACTIVITY_NOT_EXIST = 13207,
        ACTIVITY_TASK_NOT_EXIST = 13208,
        ACTIVITY_TASK_NOT_FINISH = 13209,
        ACTIVITY_FINISHED = 13210,
        ACTIVITY_AWARD_GOT = 13212,
        ACTIVITY_LUCKY_TURNTABLE_BOX_RECEIVED = 13213,
        ACTIVITY_TIMED_HERO_LUCKY_NOT_EXIST = 13214,
        ACTIVITY_TIMED_HERO_LUCKY_ALREADY = 13215,
        ACTIVITY_LIMIT = 13216,
        ACTIVITY_TURNTABLE_NOT_OPEN = 13217,
        ACTIVITY_TURNTABLE_GOODS_OUT = 13218,
        ACTIVITY_AWARD_HAS_BEEN_RECEIVED = 13219,
        ACTIVITY_AWARD_PRIZE_TIME_IS_ILLEGAL = 13220,
        ACTIVITY_JEWEL_BOX_ACTIVATION_FINISH = 13221,
        ACTIVITY_DOUBLE_FUNC_AWARD_OUT = 13222,
        ACTIVITY_AWARD_NOT_EXIST = 13223,
        ACTIVITY_AWARD_NOT_TODAY = 13224,
        ACTIVITY_ITEM_SOLD_OUT = 13225,
        ACTIVITY_LUCK_VOTE_IS_FINISH = 13226,
        ACTIVITY_RECHARGE_NOT_ENOUGH = 13227,
        ACTIVITY_CRYSTAL_ENOUGH = 13228,
        ACTIVITY_ALREADY_ATTEND_WEEK_LOGIN = 13229,
        ACT_GUILD_HAS_QUIT = 13230,
        ACT_CHOOSE_NOT_EXIST = 13231,
        ACT_WEEK_LOGIN_ROCK_NUMBER_FINISH = 13232,
        FILE_UPLOAD_CATALOG_NOT_SUPPORT = 13300,
        FILE_UPLOAD_FAIL = 13301,
        TALK_SHARE_REPORT_LIMIT = 13400,
        TALK_CANNOT_WITH_ME = 13401,
        TALK_WORD_TOO_LONG = 13402,
        TALK_WORD_INVALID = 13403,
        TALK_VIP_LIMIT = 13404,
        ARTIFACT_PIECE_NOT_ENOUGH = 13500,
        RELIC_REFRESH_IN_CD = 13501,
        RELIC_TASK_ALL_AWARD = 13502,
        RELIC_TASK_NOT_STASFY = 13503,
        RELIC_ENEMY_AVOID = 13504,
        ARTIFACT_CANNOT_SET_SAME = 13505,
        RELIC_ENEMY_PIECE_GONE = 13506,
        ARTIFACT_NOT_EXISTS = 13507,
        ARTIFACT_CANNOT_BE_EQUIP = 13508,
        ARTIFACT_CANNOT_BE_UPGRADE = 13509,
        ARTIFACT_HAS_EQUIP_NOT_UPGRADE = 13510,
        ARTIFACT_HAS_EQUIP_NOT_REFINE = 13511,
        ARTIFACT_REFINE_NOT_SAME = 13512,
        ARTIFACT_CANNOT_BE_REFINE = 13513,
        ARTIFACT_REFINE_IS_FULL = 13514,
        ARTIFACT_REFINE_EAT_NOT_ENOUGH = 13515,
        ARTIFACT_NUM_LIMIT = 13516,
        ARTIFACT_HAS_EQUIP_NOT_TRANSFER = 13517,
        ARTIFACT_TRANSFER_SAME_ENTRY = 13518,
        ARTIFACT_ADVANCED_QUALITY_NOT_ORANGE = 13519,
        ARTIFACT_REFINE_LEVEL_NOT_ENOUGH = 13520,
        ARTIFACT_ADVANCED_IS_MAX = 13521,
        ARTIFACT_REFINE_HAS_UPGRADE = 13522,
        ARTIFACT_REFINE_HAS_ADVANCED = 13523,
        ARTIFACT_REFINE_HAS_REFINE = 13524,
        MAZE_STEPS_OUT = 13800,
        MAZE_BUY_STEPS_OUT = 13801,
        MAZE_MAP_ERROR = 13802,
        MAZE_REST_TIMES_OUT = 13803,
        MAZE_DIFF_CAN_PICK = 13804,
        MAZE_CAN_PASS_IMPASSE = 13805,
        MAZE_TREASURY_NO_KEY = 13806,
        MAZE_BOX_SOLD = 13807,
        MAZE_USING_ITEM_LIMIT = 13808,
        MAZE_NEED_ENTER_AGAIN = 13809,
        OUTLAND_STAR_NOT_ENOUGH = 13850,
        OUTLAND_SCORE_NOT_ENOUGH = 13851,
        OUTLAND_PASS_NOT_ENOUGH = 13852,
        OUTLAND_STAR_AWARD_ALREADY_GOT = 13853,
        OUTLAND_SCORE_AWARD_ALREADY_GOT = 13854,
        OUTLAND_SELECT_STAGE_ERROR = 13855,
        OUTLAND_OBJECT_CLASS_ERROR = 13856,
        OUTLAND_OBJECT_NOT_FOUND = 13857,
        OUTLAND_OBJECT_INFO_ERROR = 13858,
        OUTLAND_OBJECT_VALUE_ERROR = 13859,
        OUTLAND_FIGHT_NOT_SAME = 13860,
        OUTLAND_FIGHT_ARG_ERROR = 13861,
        OUTLAND_BOX_SOLD = 13862,
        GIFT_CODE_USE_FAIL = 13900,
        GIFT_CODE_INVALID = 13901,
        GIFT_CODE_NOT_EXIST = 13902,
        GIFT_CODE_ACTIVE_TIME_OUT = 13903,
        GIFT_CODE_OVER_USE = 13904,
        HONOR_SIGNIN_AWARD_GOT = 14000,
        HONOR_SIGNIN_POINT_NOT_ENOUGH = 14001,
        SHARE_NOT_EXIST = 14021,
        SHARE_CAN_NOT_SHARE = 14022,
        SHARE_NOT_DONE = 14023,
        SHARE_HAS_DONE = 14024,
        SHARE_HAS_AWARDED = 14025,
        RELIC_NOT_EXIST = 14031,
        GEM_SLOT_NOT_ENOUGH = 14032,
        GEM_CAN_NOT_EQUIP = 14033,
        GEM_NOT_EXIST = 14034,
        GEM_HAS_EQUIP_NOT_UPGRADE = 14035,
        GEM_CAN_NOT_UPGRADE = 14036,
        RELIC_EQUIP_MAX = 14037,
        GEM_ADVANCE_WRONG_ENTRY = 14038,
        GEM_ADVANCE_NOT_ENOUGH = 14039,
        GEM_HAS_EQUIP_NOT_REBORN = 14040,
        NIGHTMARE_FIGHT_TIMES_NOT_ENOUGH = 14041,
        NIGHTMARE_STAR_NOT_THREE = 14042,
        NIGHTMARE_BUFF_TIMES_RUN_OUT = 14043,
        ZONE_MATCH_LINEUP_INVALID = 14060,
        ZONE_MATCH_STATE_CANNOT_JOIN = 14061,
        ZONE_MATCH_IS_CANCELED = 14062,
        ZONE_MATCH_NO_GROUP_TABLE = 14063,
        ZONE_MATCH_NO_MASTER_TABLE = 14064,
        ZONE_MATCH_NO_FINAL_INFO = 14065,
        ZONE_MATCH_NO_GROUP_LADDER = 14066,
        ZONE_MATCH_NO_JOIN = 14067,
        ZONE_MATCH_NO_MASTER = 14068,
        ZONE_MATCH_HAS_GET_THIS_PACKET = 14069,
        ZONE_MATCH_PACKET_IS_EMPTY = 14070,
        ZONE_MATCH_MORALE_IS_FULL = 14071,
        ZONE_MATCH_MORALE_BUY_LIMIT = 14072,
        ZONE_MATCH_NO_FIGHT_STATS = 14073,
        ZONE_MATCH_CHEER_LIMIT = 14074,
        TOPIC_COMMENT_IN_CD = 14100,
        TOPIC_COMMENT_SENSITIVE = 14101,
        TOPIC_COMMENT_CHARACTER = 14102,
        TOPIC_COMMENT_TOO_LONG = 14103,
        TOPIC_COMMENT_NO_FOUND = 14104,
        TOPIC_COMMENT_UP_ONCE = 14105,
        TOPIC_COMMENT_EMPTY = 14106,
        GODS_WEAPONS_NOT_EXSIT = 14110,
        GODS_WEAPONS_NOT_ACTIVE = 14111,
        GODS_WEAPONS_GROWING = 14112,
        GODS_WEAPONS_MAX_PROCESS = 14113,
        GODS_WEAPONS_MAX_STAR = 14114,
        GODS_WEAPONS_PROCESS_NOT_ENOUGH = 14115,
        GODS_WEAPONS_NOT_EXSIT_ANY = 14116,
        RELIC_REFINE_LEVEL_MAX = 14120,
        RELIC_STAR_LEVEL_MAX = 14121,
        RELIC_HAS_EQUIP_NOT_REBORN = 14122,
        RELIC_HAS_EQUIP_NOT_DECOMPOSE = 14123,
        RELIC_INVALID_POKEDEX = 14124,
        SUPER_WEAPONS_HASE_ACTIVED = 14140,
        SUPER_WEAPONS_FRAGMENT_NOT_ENOUGH = 14141,
        SUPER_WEAPONS_NOT_EXSIT = 14142,
        SUPER_WEAPONS_NOT_ACTIVED = 14143,
        SUPER_WEAPONS_MAX_PROCESS = 14144,
        SUPER_WEAPONS_MAX_STAR = 14145,
        PLAYER_TITLE_NOT_EXIST = 14150,
        PLAYER_TITLE_UN_DONE = 14151,
        PLAYER_TITLE_NOT_ACTIVATED = 14152,
        PLAYER_TITLE_HAS_EXPIRED = 14153,
        PLAYER_TITLE_EXIST = 14154,
        PLAYER_TITLE_HAS_EQUIP = 14155,
        MINE_AREA_NOT_FOUND = 14161,
        MINE_NOT_FOUND = 14162,
        MINE_NOT_OCCUPY = 14163,
        MINE_TECHNOLOGY_ACTIVATED = 14164,
        MINE_TECHNOLOGY_UNMET = 14165,
        MINE_IRON_PROTECTED = 14166,
        MINE_LIMIT = 14167,
        MINE_OCCUPY_TIME_LIMIT = 14168,
        MINE_OCCUPY_REPEATED = 14169,
        MINE_START_PROTECTED = 14170,
        MINE_END_PROTECTED = 14171,
        MINE_AREA_CATALOG_NOT_FOUND = 14172,
        MINE_AREA_GLOBAL_TEAM_IN_LOAD = 14173,
        MINE_AREA_PRIZE_NOT_EXIST = 14174,
        MINE_AREA_BOX_IS_REWARD = 14175,
        MINE_AREA_BOX_NOT_ACTIVATED = 14176,
        DAILY_TRIAL_TIMES_NOT_ENOUGH = 14181,
        DAILY_TRIAL_LEVEL_NOT_ENOUGH = 14182,
        DAILY_TRIAL_PRESTAGE_NOT_COMPLETE = 14183,
        DAILY_TRIAL_STAGE_NOT_COMPLETE = 14184,
        DAILY_TRIAL_STAGE_NOT_FIGHT = 14185,
        PET_STAR_MAX = 14191,
        PET_LEVEL_MAX = 14192,
        PET_ACTIVE_NOT_ALLOWD = 14193,
        PET_PROTECT_NUM_MAX = 14194,
        PET_HAS_PROTECTED_HERO = 14195,
        PET_HERO_HAS_BEEN_PROTECTED = 14196,
        POKEDEX_PET_NOT_ENOUGH = 14197,
        POKEDEX_LEVEL_MAX = 14198,
        POKEDEX_PET_STAR_NOT_ENOUGH = 14199,
        ONLY_ONE_PET_LINEUP_ALLOWED = 14200,
        PET_HAS_LINEUPED = 14201,
        PET_LEVEL_HIGHER_PLAYER = 14202,
        PET_POKEDEX_ACTIVE_NOT_ALLOWD = 14203,
        PET_STATUE_EXP_NOT_ENOUGH = 14204,
        PET_REFINE_STAR_NOT_ENOUGH = 14205,
        RUNE_STAR_MAX = 14971,
        RUNE_LEVEL_MAX = 14972,
        RUNE_HAS_PROTECTED_HERO = 14975,
        RUNE_LEVEL_HIGHER_PLAYER = 14978,
        RUNE_STAR_HIGHER_PLAYER = 14979,
        RUNE_REFRESH_SLOT_NO_OPEN = 14980,
        RUNE_REFRESH_ITEM_CAN_USE = 14981,
        RUNE_REFRESH_SLOT_NO_PREVIEW = 14982,
        TOWER_FIGHT_NOT_CURRENT_FLOOR = 14211,
        TOWER_IS_HIGHEST_FLOOR = 14212,
        TOWER_CAN_NOT_RESET = 14213,
        TOWER_TREASURE_CAN_NOT_OPEN = 14214,
        TOWER_LIFE_BUY_RAN_OUT = 14215,
        TOWER_LIFE_POINT_ZERO = 14216,
        TOWER_LIFE_BUY_OVER_MAX = 14217,
        TOWER_TREASURE_HAS_OPENED = 14218,
        TOWER_NO_ABILITY_TO_THUMP = 14219,
        ANGEL_LEVEL_HIGHER_PLAYER = 14231,
        ANGEL_LEVEL_IS_MAX = 14232,
        ANGEL_STAR_IS_MAX = 14233,
        ANGEL_HAS_LINEUPED = 14234,
        ANGEL_HAS_PROTECTED_HERO = 14235,
        ANGEL_PROTECT_NUM_MAX = 14236,
        ANGEL_POKEDEX_ACTIVE_NOT_ALLOWD = 14237,
        POKEDEX_ANGEL_NOT_ENOUGH = 14238,
        POKEDEX_ANGEL_STAR_NOT_ENOUGH = 14239,
        EMAIL_ADDRESS_CODE_OVERTIME = 14251,
        EMAIL_ADDRESS_ACCOUNT_NOT_EXIT = 14252,
        EMAIL_ADDRESS_CODE_INVALID = 14253,
        PLAYER_HAVE_NO_TEST_PAYCOUNT = 14261,
        PLAYER_PAY_BACK_HAS_RECEIVE = 14262,
        PLAYER_IS_NEXT_DAY_PAY_BACK = 14263,
        PAY_BACK_EXPIRED = 14264,
        CASTLE_SCORE_NOT_ENOUGH = 14300,
        CASTLE_NOT_PRESIDENT = 14302,
        CASTLE_TRIAL_FIGHT_NOT_WIN = 14303,
        CASTLE_TRIAL_AWARD_NOT_FIND = 14304,
        CASTLE_TRIAL_AWARD_TIMES_NOT_ENOUGH = 14305,
        CASTLE_TRIAL_NOT_MATCH_PLAYER = 14306,
        CASTLE_SCORE_PRIZE_ALREADY_RECEIVED = 14307,
        CASTLE_CAN_NOT_CHANLLENGE_SELF = 14308,
        CASTLE_CAN_NOT_CROSS_ATTACK = 14309,
        CASTLE_NEED_CROSS_ATTACK_COST = 14310,
        CASTLE_SEASON_OVER = 14311,
        CASTLE_NOT_OPEN = 14312,
        CASTLE_PLAYER_IS_FIGHTING = 14313,
        CASTLE_OPPONENT_CHANGE = 14314,
        BUDDY_SET_FAIL = 14400,
        BUDDY_SET_POSITION_NOT_OPEN = 14401,
        SUPER_WEAPONS_RESONANCE_IS_MAX_PHASE = 14451,
        SUPER_WEAPONS_RESONANCE_COUNT_NOT_ENOUGH = 14452,
        SUPER_WEAPONS_RESONANCE_STAR_NOT_ENOUGH = 14453,
        SUPER_WEAPONS_RESONANCE_IS_INIT_STATE = 14454,
        SUPER_WEAPONS_RESONANCE_NOT_ACTIVE = 14455,
        TERRITORY_TECH_LEVEL_NOT_EXIST = 14501,
        TERRITORY_TECH_PROGRESS_UNDONE = 14502,
        TERRITORY_WISH_LIMIT = 14503,
        TERRITORY_FRIEND_WISH_BOX_NOT_AWARD = 14504,
        TERRITORY_WISH_DONE = 14505,
        TERRITORY_LUCK_UNFULL = 14506,
        TERRITORY_WISH_BOX_IS_AWARD = 14507,
        TERRITORY_FRIEND_BOX_CAN_NOT_AWARD = 14508,
        TERRITORY_FRIEND_NOT_WISH = 14509,
        TERRITORY_MARK_MORETHAN_TIME = 14510,
        TERRITORY_THANK_LIMIT = 14511,
        TERRITORY_BE_WISH_LIMIT = 14512,
        TERRITORY_THANK_DONE = 14513,
        TERRITORY_TECH_IS_LOCK = 14514,
        TERRITORY_ALREADY_OCCUPY = 14521,
        TERRITORY_NOT_OCCUPY_YET = 14522,
        TERRITORY_ALREADY_EXPLORE = 14523,
        TERRITORY_ALREADY_SET_OUT = 14524,
        TERRITORY_NOT_EXPLORE = 14525,
        TERRITORY_NOT_SET_OUT = 14526,
        TERRITORY_CD_ING = 14527,
        TERRITORY_CD_OVER = 14528,
        TERRITORY_LEVY_TIMES_LIMITE = 14529,
        TERRITORY_HERO_ALREADY_SET_OUT = 14530,
        CHAT_CHANNEL_NOT_EXIST = 14551,
        CHAT_NOT_JOIN_THIS_CHANNEL = 14552,
        CHAT_NOT_SERVER_THIS_DISTRICT = 14554,
        SIGNATURE_TOO_LANG = 14581,
        SIGNATURE_SENSITIVE = 14582,
        SIGNATURE_SPECIAL_CHARACTER = 14583,
        GLOBAL_RED_NOT_EXIST = 14561,
        GLOBAL_RED_GRAB_OUT = 14562,
        GLOBAL_RED_EXPIRED = 14563,
        GLOBAL_RED_TASK_UNDONE = 14564,
        GLOBAL_RED_HAS_DISPATCHED = 14565,
        GLOBAL_RED_NOT_ACCEPT_NOTIFY = 14566,
        GLOBAL_RED_SEND_LIMIT = 14567,
        GLOBAL_RED_GRAB_LIMIT = 14568,
        NEW_MONTH_CARD_NOT_BUY = 14571,
        NEW_MONTH_CARD_IS_EXPIRE = 14572,
        NEW_MONTH_CARD_AWARD_DONE = 14573,
        MONTH_CARD_PROGRESS_NOT_ENOUGH = 14574,
        MONTH_CARD_PROGRESS_PRIZE_ALREADY_GOT = 14575,
        GLOBAL_ARENA_TOURIST_NO_POWER = 14591,
        GLOBAL_ARENA_NO_OPEN = 14592,
        GLOBAL_ARENA_IS_DISABLE = 14593,
        GEM_CAN_NOT_DECOMPOSE = 14611,
        RELIC_NOT_BE_PROTECT = 14612,
        RELIC_PROTECT_LIMIT = 14613,
        RELIC_HAS_EQUIP_NOT_PROTECT = 14614,
        RELIC_HAS_NOT_EQUIP_NOT_BE_PROTECT = 14615,
        RELIC_PROTECT_NOT_UNLOAD = 14616,
        RELIC_SAME_HAS_EXIST = 14617,
        RELIC_NOT_BE_ADVANCED_PROTECT = 14618,
        RELIC_ADVANCED_PROTECT_LIMIT = 14619,
        RELIC_HAS_EQUIP_NOT_ADVANCED_PROTECT = 14620,
        RELIC_HAS_NOT_EQUIP_NOT_BE_ADVANCED_PROTECT = 14641,
        RELIC_ADVANCED_PROTECT_NOT_UNLOAD = 14642,
        GLOBAL_MATCH_LINEUP_INVALID = 14621,
        GLOBAL_MATCH_STATE_CANNOT_JOIN = 14622,
        GLOBAL_MATCH_IS_CANCELED = 14623,
        GLOBAL_MATCH_NO_GROUP_TABLE = 14624,
        GLOBAL_MATCH_NO_MASTER_TABLE = 14625,
        GLOBAL_MATCH_NO_FINAL_INFO = 14626,
        GLOBAL_MATCH_NO_GROUP_LADDER = 14627,
        GLOBAL_MATCH_NO_JOIN = 14628,
        GLOBAL_MATCH_NO_MASTER = 14629,
        GLOBAL_MATCH_HAS_GET_THIS_PACKET = 14630,
        GLOBAL_MATCH_PACKET_IS_EMPTY = 14631,
        GLOBAL_MATCH_MORALE_IS_FULL = 14632,
        GLOBAL_MATCH_NO_FIGHT_STATS = 14633,
        GLOBAL_MATCH_CHEER_LIMIT = 14634,
        LEVEL_GIFT_IS_EXPIRED = 14651,
        LEVEL_GIFT_BUY_TIMES_IS_LIMIT = 14652,
        TEST_PAY_GET_ALL_AWARD = 14660,
        TEST_PAY_NO_JOIN = 14661,
        TEST_PAY_NO_MATCH = 14662,
        TEST_PAY_OVER_GET = 14663,
        NOBILITY_NOT_EXIST = 14671,
        PHONE_BIND_NOT_BINDING = 14680,
        PHONE_BIND_REWARD_RECEIVED = 14681,
        PHONE_BIND_BINDING_FAILURE = 14682,
        PHONE_BIND_QUERY_STATUS_FAILURE = 14683,
        PHONE_BIND_GET_VERIFY_CODE_FAILURE = 14684,
        PHONE_BIND_REQUEST_TOO_OFTEN = 14685,
        PHONE_BIND_VERIFY_CODE_ERROR = 14686,
        PHONE_BIND_ACCOUNT_HAS_BIND = 14687,
        PHONE_BIND_PHONE_HAS_BIND = 14688,
        RIDE_LEVEL_MAX = 14691,
        RIDE_ACTIVE_NOT_ALLOWD = 14692,
        POKEDEX_RIDE_NOT_ENOUGH = 14693,
        RIDE_LEVEL_HIGHER_PLAYER = 14694,
        RIDE_POKEDEX_ACTIVE_NOT_ALLOWD = 14695,
        RIDE_NOT_ACTIVE_RIDE = 14696,
        RIDE_POKEDEX_HAVE_ACTIVE = 14697,
        RIDE_NOT_CAN_ADD_STAR = 14698,
        RIDE_STAR_IS_MAX = 14699,
        RIDE_HAS_PROTECT = 14700,
        GLOBAL_CHALLENGE_NO_OPEN = 14701,
        GLOBAL_CHALLENGE_NO_IN = 14702,
        GLOBAL_CHALLENGE_REACH_MAX_TIMES = 14703,
        GLOBAL_CHALLENGE_ALREAD_WIN = 14704,
        GLOBAL_CHALLENGE_DAILY_REST = 14705,
        GLOBAL_CHALLENGE_SEASON_REST = 14706,
        GLOBAL_CHALLENGE_SEASON_SELECTION = 14707,
        GLOBAL_GODDESS_NO_OPEN = 14721,
        GLOBAL_GODDESS_GUILD_NOT_APPLY = 14722,
        GLOBAL_GODDESS_GUILD_CASTLE_FULL = 14723,
        GLOBAL_GODDESS_JOIN_TIME_NOT_ENOUGH = 14724,
        GLOBAL_GODDESS_TIMES_NOT_ENOUGH = 14725,
        GLOBAL_GODDESS_NOT_APPLY_STATE = 14726,
        GLOBAL_GODDESS_GUILD_HAS_APPLY = 14727,
        GLOBAL_GODDESS_GUILD_PLAYER_NOT_ENOUGH = 14728,
        GLOBAL_GODDESS_BLESS_HAS_BUY = 14729,
        GLOBAL_GODDESS_DEFEND_PLAYER_DEATH = 14730,
        GLOBAL_GODDESS_NOT_CAPTURE_CASTLE = 14731,
        GLOBAL_GODDESS_CASTLE_AWARD_HAS_GET = 14732,
        GLOBAL_GODDESS_CASTLE_INFO_NOT_EXIST = 14733,
        GLOBAL_GODDESS_MATCH_GUILD_NOT_ENOUGH = 14734,
        GLOBAL_GODDESS_MATCH_STATE_NOT_DISBAND = 14735,
        GLOBAL_GODDESS_LONELY_TIMES_NOT_ENOUGH = 14736,
        GLOBAL_GODDESS_PK_POINT_NOT_ENOUGH = 14737,
        GLOBAL_GODDESS_PK_POINT_IS_MAX = 14738,
        GLOBAL_GODDESS_LONELY_TIMEST_IS_MAX = 14739,
        GODDESS_TREASURE_REACH_LIMIT_NUM_FOR_ALL = 14740,
        GODDESS_TREASURE_REACH_LIMIT_NUM_FOR_ONE = 14741,
        GODDESS_TREASURE_CODE_NUM_NOT_ENOUGHT = 14742,
        GODDESS_TREASURE_REACH_GOODS_NUM_LIMIT = 14743,
        GLOBAL_BATTER_NO_PLAYER = 14751,
        GLOBAL_BATTER_NO_MATCH_PLAYER = 14752,
        GLOBAL_BATTLE_LEVEL_NO_ENOUGH = 14753,
        GLOBAL_BATTLE_HONOR_HALL_HAVE_MSG = 14754,
        GLOBAL_BATTLE_HONOR_HALL_HAVE_WORSHIP = 14755,
        GLOBAL_BATTLE_TASK_NOT_COMPLETE = 14756,
        GLOBAL_BATTLE_TASK_AWARD_HAS_GET = 14757,
        GLOBAL_BATTLE_QUIZ_OUT_TIME = 14758,
        GLOBAL_BATTLE_HAVE_QUIZ = 14759,
        GLOBAL_BATTLE_NOT_OPEN = 14760,
        GLOBAL_BATTLE_MATCHING_TIME_OUT = 14761,
        GLOBAL_BATTLE_WORSHIP_NUM_OUT = 14762,
        FRAME_NOT_BE_ACTIVE = 14771,
        FRAME_ALREADY_ACTIVE = 14772,
        FRAME_NOT_EXIST = 14773,
        FRAME_IS_EXPIRED = 14774,
        OCEAN_ADVENTURE_FIGHT_TIMES_NOT_ENOUGH = 14781,
        OCEAN_ADVENTURE_BUY_TIMES_LIMIT = 14782,
        TEAM_BATTLE_SEASON_NOT_OPEN = 14801,
        TEAM_BATTLE_PLAYER_ALREADY_JOIN_ROOM = 14802,
        TEAM_BATTLE_ROOM_NOT_EXIST = 14803,
        TEAM_BATTLE_PLAYER_ALREADY_APPLY = 14804,
        TEAM_BATTLE_ROOM_MEMBER_FULL = 14805,
        TEAM_BATTLE_PLAYER_APPLY_LIMIT = 14806,
        TEAM_BATTLE_ONLY_CAPTAIN_DO = 14807,
        TEAM_BATTLE_NOT_JOIN_ROOM = 14808,
        TEAM_BATTLE_PLAYER_ALREADY_READY = 14809,
        TEAM_BATTLE_MATCHING_JOIN_ROOM_FAIL = 14810,
        TEAM_BATTLE_PLAYER_ALREADY_CANCEL_APPLY = 14811,
        TEAM_BATTLE_APPLY_NOT_EXIST = 14812,
        TEAM_BATTLE_INVITATION_NOT_EXIST = 14813,
        TEAM_BATTLE_ROOM_MEMBER_NOT_FULL = 14814,
        TEAM_BATTLE_ROOM_MEMBER_NOT_ALL_READY = 14815,
        TEAM_BATTLE_MATCHING_TIME_OUT = 14816,
        TEAM_BATTLE_PLAYER_ALREADY_NOT_READY = 14817,
        TEAM_BATTLE_SCORE_PRIZE_ALREADY_AWARD = 14818,
        TEAM_BATTLE_SCORE_UN_REACH = 14819,
        TEAM_BATTLE_BUY_TIMES_LIMIT = 14820,
        TEAM_BATTLE_IN_INVITE_ROBOT_CD = 14821,
        TEAM_BATTLE_REPORT_NOT_EXIST = 14822,
        TEAM_BATTLE_PLAYER_NOT_PLAY = 14823,
        TEAM_BATTLE_PLAYER_ALREADY_JOIN_OTHER_ROOM = 14824,
        TEAM_BATTLE_PLAYER_NOT_MY_GUILD_MEMBER = 14825,
        ANGEL_ALREAD_ACTIVE = 14831,
        ANGEL_ACTIVE_NOT_ALLOWD = 14832,
        ANGEL_ALREAD_GLOBAL_ATTR_ACTIVE = 14833,
        GROUP_PVE_STAGE_PROGRESS_UNREACH = 14851,
        GROUP_PVE_ROOM_IS_NOT_OPEN = 14852,
        FCM_LIMIT = 14856,
        ORACLE_MATCH_PLAYER_HAS_APPLY = 14900,
        ORACLE_MATCH_NOT_APPLY_STATE = 14901,
        ORACLE_MATCH_PLAYER_LEVEL_NOT = 14902,
        ORACLE_COMPETITION_AWARD_ALREADY_GOT = 14903,
        ORACLE_COMPETITION_NOT_END = 14904,
        ORACLE_COMPETITION_RANK_NOT_IN_TOP = 14905,
        ORACLE_COMPETITION_NOT_IN_RANK = 14906,
        ORACLE_BET_TIME_LIMIT = 14907,
        ORACLE_BET_AWARD_RECEIVED = 14908,
        ORACLE_BET_TARGET_NOT_EXIST = 14909,
        ORACLE_BET_REPEAT = 14910,
        ORACLE_BET_AWARD_NOT_EXIST = 14911,
        ORACLE_MATCH_NOT_START_TIME = 14912,
        ORACLE_MATCH_HAS_END_TIME = 14913,
        ORACLE_MATCH_LIKE_LIMIT = 14914,
        ORACLE_BATTLEFIELD_NODE_IS_NOT_RESOURCE = 14915,
        ORACLE_BATTLEFIELD_NOT_EXIST = 14916,
        ORACLE_BATTLEFIELD_NODE_HAS_NOT_RESOURCE = 14917,
        ORACLE_BATTLEFIELD_CRYSTAL_BE_PROTECT = 14918,
        ORACLE_CHEER_TIMES_LIMIT = 14919,
        ORACLE_BATTLEFIELD_PLUNDER_POINT_IS_ZERO = 14920,
        ORACLE_BATTLEFIELD_PLUNDER_TIMES_NOT_ENOUGH = 14921,
        ORACLE_BATTLEFIELD_OVER_PLUNDERED_COUNT = 14922,
        ORACLE_BATTLEFIELD_OTHER_PLAYER_ATTACK = 14923,
        ORACLE_BATTLEFIELD_IS_MOVING = 14924,
        ORACLE_BATTLEFIELD_GUARD_NOT_EXIST = 14925,
        ORACLE_BATTLEFIELD_IS_OCCUPING_NODE = 14926,
        ORACLE_BATTLEFIELD_SKILL_USE_FINISH = 14927,
        ORACLE_BATTLEFIELD_SKILL_BAG_FULL = 14928,
        ORACLE_BATTLEFIELD_UNREACH_NODE = 14929,
        ORACLE_BATTLEFIELD_MIN_OCCUPY_TIME_UNREACH = 14930,
        ORACLE_BATTLEFIELD_STATE_NOT_LOOK = 14931,
        ORACLE_BATTLEFIELD_LOOK_AMOUNT_LIMIT = 14932,
        GODDESS_FEAST_BUY_LEVEL_ERROR = 14960,
        GODDESS_FEAST_LEVEL_NO_ACTIVE = 14961,
        GODDESS_FEAST_LEVEL_IS_REWARD = 14962,
        GODDESS_FEAST_LEVEL_REWARD_ERROR = 14963,
        GODDESS_FEAST_ACTIVITY_CONF_ERROR = 14964,
        GODDESS_FEAST_TASK_EXIST = 14965,
        GODDESS_FEAST_TASK_UNDO = 14966,
        GODDESS_FEAST_TASK_REWARD_CONF_ERR = 14967,
        PAY_BACK_REPEAT_ORDER = 14950,
        PAY_BACK_NOT_FOUND_ORDER = 14951,
        PAY_BACK_SWITCH_OFF = 14952,
        PAY_REQ_PARSE_ERR = 14953,
        PAY_PLAYER_NOT_FOUND = 14954,
        RUNE_NOT_FOUND_STAGE_INFO = 15000,
        RUNE_IMPRESS_TRIAL_MAX_ADVENTURE = 15001,
        RUNE_IMPRESS_TRIAL_NO_COUNT = 15002,
        RUNE_IMPRESS_TRIAL_FIGHT_NO_PLAYER = 15003,
        RUNE_IMPRESS_TRIAL_FIGHT_EXIST = 15004,
        RUNE_IMPRESS_TRIAL_FIGHT_FINISH = 15005,
        RUNE_IMPRESS_HAVE_COUNT_MAX = 15006,
        RUNE_IMPRESS_BUY_COUNT_OVERFLOW = 15007,
        RUNE_IMPRESS_TRIAL_ADVENTURE_EXIST = 15008,
        RUNE_IMPRESS_TRIAL_ADVENTURE_CONFIG_ERR = 15009,
        RUNE_IMPRESS_TRIAL_ADVENTURE_TYPE_ERR = 15010,
        RUNE_IMPRESS_TRIAL_NO_ADVENTURE = 15011,
        RUNE_IMPRESS_TRIAL_MIN_OCCUPY_TIME_UNREACH = 15012,
        RUNE_IMPRESS_TRIAL_MAX_OCCUPY_TIME_REACH = 15013,
        RUNE_IMPRESS_TRIAL_ADVENTURE_GAME_SCORE_UNREACH = 15014,
        RUNE_IMPRESS_TRIAL_ADVENTURE_GAME_REWARDED = 15015,
        RUNE_IMPRESS_TRIAL_ADVENTURE_GAME_NO_REWARD = 15016,
        FURNACE_MELT_DAILY_LIMIT = 15021,
        CONSTELLATION_ALREAD_ACTIVE = 15025,
        CONSTELLATION_NOT_ALREAD_ACTIVE = 15026,
        CONSTELLATION_STAR_IS_MAX = 15027,
        CONSTELLATION_HAS_PROTECTED_HERO = 15028,
        CONSTELLATION_POKEDEX_ACTIVE_ALLOWD = 15029,
        CONSTELLATION_POKEDEX_NOT_ACTIVE_ALLOWD = 15030,
        CONSTELLATION_POKEDEX_NOT_ENOUGH = 15031,
        CONSTELLATION_POKEDEX_LEVEL_MAX = 15032,
        CONSTELLATION_POKEDEX_STAR_NOT_ENOUGH = 15033,
        CONSTELLATION_ARRAY_POSITION_LEVEL_MAX = 15034,
        CONSTELLATION_FRONT_POSITION_NOT_ENOUGH = 15035,
        CONSTELLATION_NOT_ACTIVE = 15036,
        CONSTELLATION_POKEDEX_NOT_ACTIVE = 15037,
        CONSTELLATION_NOT_EXIST = 15038,
        CONSTELLATION_POKEDEX_NOT_EXIST = 15039,
        CONSTELLATION_PREVIOUS_ARRAY_NOT_ENOUGH = 15040,
        CONSTELLATION_PROTECT_NUM_MAX = 15041,
        RIDE_KNOWLEDGE_NOT_EXIST = 16000,
        RIDE_KNOWLEDGE_INFO_NOT_EXIST = 16001,
        RIDE_KNOWLEDGE_RANK_MAX = 16002,
        RIDE_KNOWLEDGE_NOT_FULL = 16003,
        RIDE_KNOWLEDGE_RANDOM_NOT_EXIST = 16004,
        RIDE_KNOWLEDGE_FULL = 16005,
        CYCLOPEDIA_NOT_EXIST = 16051,
        CYCLOPEDIA_ALREADY_UNLOCKED = 16052,
        CYCLOPEDIA_NOT_REACH_UNLOCK_CONDITIONS = 16053,
        CYCLOPEDIA_IS_LOCKED = 16054,
        CYCLOPEDIA_IS_BEING_USED = 16055,
        CYCLOPEDIA_IS_NOT_USED = 16056,
        DEEPNESS_NOT_OPEN = 16101,
        DEEPNESS_FIGHT_TIMES_NOT_ENOUGH = 16102,
        SIDE_STORY_NOT_EXIST = 16151,
        SIDE_STORY_CHAPTER_NOT_EXIST = 16152,
        SIDE_STORY_CHAPTER_STAGE_NOT_EXIST = 16153,
        SIDE_STORY_LAST_STAGE_NOT_PASS = 16154,
        SIDE_STORY_RESET_COUNT_REACH_LIMIT = 16156,
        SIDE_STORY_CHAPTER_BOX_INVALID_INDEX = 16157,
        SIDE_STORY_CHAPTER_BOX_OPENED = 16158,
        SIDE_STORY_CHAPTER_BOX_STAR_NOT_ENOUGH = 16159,
        MEMORY_NOT_EXIST = 16201,
        MEMORY_ALREADY_UNLOCKED = 16202,
        MEMORY_IS_LOCKED = 16203,
        MEMORY_LEVEL_IS_MAX = 16204,
        MEMORY_POKEDEX_NOT_EXIST = 16205,
        MEMORY_POKEDEX_ALREADY_UNLOCKED = 16206,
        MEMORY_POKEDEX_IS_LOCKED = 16207,
        MEMORY_POKEDEX_LEVEL_IS_MAX = 16208,
        MEMORY_POKEDEX_DOES_NOT_REACH_LEVEL_UP_CONDITION = 16209,
        MEMORY_ALREADY_INIT = 16210,
        SKY_VAULT_REFRESH_PRAY_INDEX_NOT_EXIT = 16251,
        SKY_VAULT_REFRESH_PRAY_TIMES_NOT_ENOUGH = 16252,
        SKY_VAULT_FIELD_ERROR = 16253,
        SKY_VAULT_NO_JOIN = 16254,
        SKY_VAULT_NO_GROUP_TABLE = 16255,
        FOREST_ALREADY_OPEN = 16301,
        FOREST_CARD_NOT_FOUND = 16302,
        FOREST_PLAYER_NULL = 16303,
        FOREST_BINGO_NULL = 16304,
        FOREST_FLOOR_NOT_MATCH = 16305,
        FOREST_FLOOR_LIMIT = 16306,
        FOREST_CARD_INFO_NOT_FOUND = 16307,
        FOREST_COST_EXPLORE_TIMES_ERROR = 16308,
        FOREST_CARD_STATE_ERROR = 16309,
        FOREST_OPEN_STRATEGY_ERROR = 16311,
        FOREST_CARD_CATALOG_ERROR = 16312,
        FOREST_FIGHT_BUF_NULL = 16313,
        FOREST_FIGHT_NOT_MATCH = 16314,
        FOREST_FIGHT_ARG_NULL = 16315,
        FOREST_POOL_INFO_CATALOG_ERROR = 16316,
        FOREST_STAGE_INFO_NOT_FOUND = 16317,
        FOREST_NOT_ENOUGH_ABILITY = 16318,
        FOREST_FLOOR_INFO_NOT_FOUND = 16319,
        FOREST_SCORE_NOT_ENOUGH = 16320,
        FOREST_SCORE_AWARDS_HAS_GET = 16321,
        FOREST_REWARD_REQUEST_ERROR = 16322,
        FOREST_SCHEDULE_STATE_ERROR = 16323,
        MANDRAKE_NOT_EXIST = 16351,
        MANDRAKE_ALREADY_UNLOCKED = 16352,
        MANDRAKE_IS_LOCKED = 16353,
        MANDRAKE_LEVEL_IS_MAX = 16354,
        MANDRAKE_STAR_IS_MAX = 16355,
        MANDRAKE_POKEDEX_NOT_EXIST = 16356,
        MANDRAKE_POKEDEX_ALREADY_UNLOCKED = 16357,
        MANDRAKE_POKEDEX_IS_LOCKED = 16358,
        MANDRAKE_POKEDEX_LEVEL_IS_MAX = 16359,
        MANDRAKE_POKEDEX_DOES_NOT_REACH_LEVEL_UP_CONDITION = 16360,
        DIVINATION_TIMES_IS_MAX = 16401,
        D_CRYSTAL_NOT_EXIST = 16451,
        D_CRYSTAL_ALREADY_UNLOCKED = 16452,
        D_CRYSTAL_IS_LOCKED = 16453,
        D_CRYSTAL_QUALITY_IS_MAX = 16454,
        D_CRYSTAL_STAR_IS_MAX = 16455,
        D_CRYSTAL_PURE_IS_MAX = 16456,
        D_CRYSTAL_ALTAR_INFO_NOT_EXIST = 16457,
        D_CRYSTAL_SACRIFICE_IS_MAX = 16458,
        WISHING_MONSTER_NOT_EXIST = 16501,
        WISHING_HERO_TIMES_MAX = 16502,
        CURSE_NOT_EXIST = 16551,
        CURSE_IS_NOT_ACTIVATED = 16552,
        CURSE_IS_ACTIVATED = 16553,
        CURSE_LEVEL_IS_MAX = 16554,
        CURSE_GROUP_ALREADY_UNLOCKED = 16555,
        CURSE_GROUP_UNSATISFIED = 16556
    }
}