#ifdef GL_ES
precision mediump float;
#endif
uniform sampler2D u_Texture;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
uniform float u_rate;
void main()
{
    float rate = u_rate;
    vec4 normal = vec4(0.0);
    normal = texture2D(CC_Texture0, v_texCoord);
   // normal.a = texture2D(CC_Texture1, v_texCoord).r;
    normal.r =  (rate+1.0) * normal.r;
    normal.g =  (rate+1.0) * normal.g;
    normal.b =  (rate+1.0) * normal.b;
    gl_FragColor =  normal;
}
